Name:           python-asgl
Version:        2.1.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A regression solver for high dimensional penalized linear, quantile and logistic regression models

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/alvaromc317/asgl
Source:         %{pypi_source asgl}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'asgl' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-asgl
Summary:        %{summary}

%description -n python3-asgl %_description


%prep
%autosetup -p1 -n asgl-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-asgl -f %{pyproject_files}


%changelog
%autochangelog